Skip to content

Audio

Resource 'Audio' operations.

Retrieve collection of audios.

Request

Use this endpoint to retrieve the collection of audio information.

Security
oauth_auth_code(Required scopes: read:audios)
Query
pageinteger

The collection page number

Default:1
itemsPerPageinteger, [ 0 .. 100 ]

The number of items per page

Default:20
expand[]Array of strings
Items Enum:"patient.read""patient.list"
audioWorkflowStepV3Array of strings

Filter audios by workflow-step status. Repeat the parameter to match several statuses (union).

Items Enum:"audio_recording""transcription""transcribed""edition""validated""failed"
searchstring

Audio search

exists[archivedAt]string

Audio exists[archivedAt]

uuidstring

Audio uuid

patientstring

Audio patient

documentsstring

Audio documents

userstring

Audio user

languageSpokenstring

Audio languageSpoken

createdAtstring

Audio createdAt

updatedAtstring

Audio updatedAt

archivedAtstring

Audio archivedAt

curl -i -X GET \
  'https://api.askara.ai/audios?page=1&itemsPerPage=20&expand%5B%5D=patient.read&audioWorkflowStepV3=audio_recording&search=string&exists%5BarchivedAt%5D=string&uuid=string&patient=string&documents=string&user=string&languageSpoken=string&createdAt=string&updatedAt=string&archivedAt=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Audio collection

Body
Array [
uuidstring, (uuid)

Audio unique identifier.

patientstring or null, (uuid)

Audio patient.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)

Audio creation date.

updatedAtstring, (date-time)

Audio update date.

archivedAtstring or null, (date-time)

Audio archive date.

userUser-audio.list_audio.read_user_user.list (object) or null
Any of:

Audio user (author).

audioWorkflowStepV3stringread-only

Get the current audio workflow step (v3).

Enum:"audio_recording""transcription""transcribed""edition""validated""failed"
]
Response
[ { "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "patient": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "archivedAt": "2019-08-24T14:15:22Z", "user": { … }, "audioWorkflowStepV3": "audio_recording" } ]